|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.acegisecurity.ui.rememberme.NullRememberMeServices
public class NullRememberMeServices
Implementation of NullRememberMeServices that does nothing.
Used as a default by several framework classes.
| Constructor Summary | |
|---|---|
NullRememberMeServices()
|
|
| Method Summary | |
|---|---|
Authentication |
autoLogin(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
This method will be called whenever the SecurityContextHolder does
not contain an Authentication and the Acegi Security
system wishes to provide an implementation with an opportunity to
authenticate the request using remember-me capabilities. |
void |
loginFail(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called whenever an interactive authentication attempt was made, but the credentials supplied by the user were missing or otherwise invalid. |
void |
loginSuccess(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
Authentication successfulAuthentication)
Called whenever an interactive authentication attempt is successful. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public NullRememberMeServices()
| Method Detail |
|---|
public Authentication autoLogin(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
RememberMeServicesSecurityContextHolder does
not contain an Authentication and the Acegi Security
system wishes to provide an implementation with an opportunity to
authenticate the request using remember-me capabilities. Acegi Security
makes no attempt whatsoever to determine whether the browser has
requested remember-me services or presented a valid cookie. Such
determinations are left to the implementation. If a browser has
presented an unauthorised cookie for whatever reason, it should be
silently ignored and invalidated using the
HttpServletResponse object.
The returned Authentication must be acceptable to AuthenticationManager or AuthenticationProvider defined by the
web application. It is recommended RememberMeAuthenticationToken
be used in most cases, as it has a corresponding authentication
provider.
autoLogin in interface RememberMeServicesrequest - to look for a remember-me token withinresponse - to change, cancel or modify the remember-me token
null if the
request should not be authenticated
public void loginFail(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
RememberMeServicesHttpServletRequest.
loginFail in interface RememberMeServicesrequest - that contained an invalid authentication requestresponse - to change, cancel or modify the remember-me token
public void loginSuccess(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
Authentication successfulAuthentication)
RememberMeServicesHttpServletResponse, although this is not recommended.
Instead, implementations should typically look for a request parameter
that indicates the browser has presented an explicit request for
authentication to be remembered, such as the presence of a HTTP POST
parameter.
loginSuccess in interface RememberMeServicesrequest - that contained the valid authentication requestresponse - to change, cancel or modify the remember-me tokensuccessfulAuthentication - representing the successfully
authenticated principal
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||